Bug 202314 - Enhance Show Annotations bar
Enhance Show Annotations bar
Status: NEW
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.1
PC Linux
: P2 (vote)
: TBD
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on: 220152
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 15:10 UTC by Ondrej Vrabec
Modified: 2013-08-15 08:35 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2011-09-19 15:10:06 UTC
Some ideas how the annotation bar could be enhanced:
1) add action "Show Annotations for Rev" - there's already Show Ann for Prev, but that opens the file in rev previous to the selected. So opening the file in the selected rev (as is possible from Show History) directly on the *selected line* could be an improvement
2) Show Ann for Prev could jump to a corresponding line (guess the line) or the start of a block (if the line was added in the current rev)
3) Bar could open a view where you could jump between revisions and quickly see the context of the selected line in history:
3 A) move across history and always jump on the fixed line number - this is useful in exception evaluating: you have a line number but don't know the exact revision number, so you want to quickly find a relevant revision
3 B) modified 2) scenario, just not opening the whole file in editor but quickly display it in a popup window view. Useful when you want to overview how the context of the current line evolved

TODO: need to describe the scenarios in detail
Comment 1 Quality Engineering 2011-11-19 16:17:04 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f508121ca54b
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #202314 - Enhance Show Annotations bar
show annotation for selected revision and jump to a corresponding line
Comment 2 markiewb 2012-09-04 19:49:29 UTC
(In reply to comment #1)
> Integrated into 'main-golden'
> Changeset: http://hg.netbeans.org/main-golden/rev/f508121ca54b
> User: Ondrej Vrabec <ovrabec@netbeans.org>
> Log: #202314 - Enhance Show Annotations bar
> show annotation for selected revision and jump to a corresponding line

So this issue if resolved as fixed? But in which version?
Comment 3 Ondrej Vrabec 2012-09-05 08:24:42 UTC
> So this issue if resolved as fixed? But in which version?
Not fully implemented yet. Only 2) was fixed, other UCs remain open
Comment 4 Ondrej Vrabec 2012-10-16 08:29:29 UTC
(In reply to comment #3)
> Not fully implemented yet. Only 2) was fixed, other UCs remain open
Sorry, 1) was fixed, i opened a bug for 2) - bug #220152


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo